import json, requests
from api_auth import APICredentials, APIParams
rule_id = '02ed9f65570746528e7b3d0628960025' # Replace with the ID for the desired rule.

class Rule:
    def __init__(self):
        self.host = "https://services.uplynk.com"

    def run(self):
        self._get_rule()

    def _get_rule(self):        
        url = "{}{}{}".format(self.host, "/api/v4/rules/", rule_id)

        headers = {'Content-Type': 'application/json'}

        response = requests.get(
            url, params=APIParams(APICredentials()).get_params({}), headers=headers
        )
  
        print(response.json())
  
Rule().run()